netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
strlcpy.c File Reference
`#include <string.h>`
`#include <atalk/util.h>`

## Functions
size_t | strlcpy (char *d, const char *s, size_t bufsize)
size_t | strlcat (char *d, const char *s, size_t bufsize)

## Function Documentation

## ◆ strlcat()

size_t strlcat | ( | char * | d,
|  | const char * | s,
|  | size_t | bufsize )

like strncat but does not 0 fill the buffer and always null terminates. bufsize is the length of the buffer, which should be one more than the maximum resulting string length

## ◆ strlcpy()

size_t strlcpy | ( | char * | d,
|  | const char * | s,
|  | size_t | bufsize )

like strncpy but does not 0 fill the buffer and always null terminates. bufsize is the size of the destination buffer